## 安装

    - 1.创建.env配置
        复制项目根目录.env.example文件，将其改名或重命名为.env
    - 2.修改.env配置
        DB_CONNECTION=sqlite    // 将sqlite改为mysql
        DB_HOST=127.0.0.1
        DB_PORT=3306
        DB_DATABASE=            // 填写数据库名称
        DB_USERNAME=root        // 数据库账号
        DB_PASSWORD=            // 数据库密码
    - 3.创建.env配置填写的同名数据库
    - 4.开启redis服务
    - 5.执行composer命令
        ```composer install --prefer-dist```
    - 6.执行迁移文件
        ```php artisan migrate```
    - 7.安装owl-admin
        ```php artisan admin:install```
    - 8.开启serve服务
        ```php artisan serve```

## 设置 linux 允许 php 以 80 端口启动

```bash
sudo setcap 'cap_net_bind_service=+ep' /www/server/php/82/bin/php
```

## 停止宝塔 nginx 自动启动

```bash
sudo systemctl disable nginx
```

## Rules 提示词

```bash
Always respond in 中文
您是一位专业PHP程序员，以下是您要遵守的规则：
1. 使用框架laravel、owl-admin
2. controller代码生成到 app/Http/Controllers/Client
3. service代码生成到 app/Services/Client
4. controller要生成scribe的api文档注释，方法注释名称前面添加分组名(以区分不同类的api)，不要添加@group注解关键字，添加@description，请求参数，@response, 参数给出Example(默认值)
5. service代码对异常添加日志
6. 如果需要获取当前登录用户，将 Auth::id() 改为 Auth::user() 方式获取获取
7. 代码中所有增删改(非读)方法，全部添加事务处理
8. controller代码生成后，在routes/api.php中添加路由
9. 方法体中关键操作要添加行注释
```

## 重新解决 vscode 提示魔术方法不存在的问题

```bash
php artisan ide-helper:generate
php artisan ide-helper:models -N
php artisan ide-helper:meta
```

## git 提交统一配置换行符为 LF 方案

```bash
# 设置全局换行符为 LF
git config --global core.eol lf
git config --global core.autocrlf input
git config --global core.safecrlf warn
```

## 解决命令行中总是报错 9003xdebug 调试端口连接失败问题

```bash
[Xdebug]
zend_extension=xdebug

; 仅启用需要的功能，减少性能开销
xdebug.mode=debug

; 仅在需要时启动调试
xdebug.start_with_request=trigger

; 保持默认端口配置
xdebug.client_port=9003
xdebug.client_host=127.0.0.1

; 添加日志便于排查问题
xdebug.log=/tmp/xdebug.log
```
